import React from "react";
import { Routes, BrowserRouter as Router, Route } from "react-router-dom";

import Landing from "./views/Landing.view";
import Home from "./views/Home.view";
import Settings from "./views/Settings.view";

import AppState from "./components/AppState";

import "./app.scss";
import "./components.scss";
import ProtectedRoutes from "./components/ProtectedRoute";

function App() {
  return (
    <Router>
      <Routes>
        <Route path="/" element={<Landing />} />
        <Route element={<ProtectedRoutes />}>
          <Route path="/home" element={<Home />} />
          <Route path="/settings" element={<Settings />} />
        </Route>
      </Routes>
      <AppState />
    </Router>
  );
}

export default App;
